# $Revision: 1.11.2.2 $, $Date: 2008-04-25 20:12:54 $
Summary:	A high-level cross-protocol url-grabber
Summary(pl.UTF-8):	Wysokopoziomowa biblioteka do wychwytywania URL-i do wielu protokołów
Name:		python-urlgrabber
# 3.0.x is stable series (we use that one)
# 3.1.x is devel series
Version:	3.0.0
Release:	2
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries/Python
Source0:	http://linux.duke.edu/projects/urlgrabber/download/urlgrabber-%{version}.tar.gz
# Source0-md5:	3cdb34db3269baf8006da35b9f82d9c9
URL:		http://linux.duke.edu/projects/urlgrabber/
BuildRequires:	python >= 1:2.4
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
Provides:	urlgrabber
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A high-level cross-protocol url-grabber for Python supporting HTTP,
FTP and file locations. Features include keepalive, byte ranges,
throttling, authentication, proxies and more.

%description -l pl.UTF-8
Wysokopoziomowa biblioteka Pythona do wychwytywania URL-i dla wielu
protokołów, obsługująca odnośniki HTTP, FTP i file. Możliwości
obejmują połączenia keepalive, przedziały bajtów, tłumienie,
uwierzytelnianie, proxy itp.

%prep
%setup -q -n urlgrabber-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--root=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/urlgrabber-%{version}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_bindir}/urlgrabber
%{py_sitescriptdir}/urlgrabber

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-urlgrabber.spec,v $
Revision 1.11.2.2  2008-04-25 20:12:54  glen
- %py_postclean

Revision 1.11.2.1  2007-11-01 17:54:32  glen
- AC-branch

Revision 1.11  2007/11/01 17:37:58  qboosh
- LGPL v2.1+

Revision 1.10  2007/11/01 17:20:08  qboosh
- python deps

Revision 1.9  2007/11/01 16:39:32  arekm
- back to stable 3.0.x series

Revision 1.8  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.6  2007/01/02 00:06:44  arekm
- up to 3.1.0

Revision 1.5  2006/09/16 09:57:24  maciek2w
- updated to 2.9.10

Revision 1.4  2006/05/24 18:53:08  glen
- better group

Revision 1.3  2006/05/24 18:42:25  glen
- 2.9.8

Revision 1.2  2005/04/24 14:26:05  qboosh
- pl, cleanups, added Source0 URL, use explicit file list

Revision 1.1  2005/04/23 21:49:05  patrys
- Initial PLD release
